List running generations
curl --request GET \
--url https://open.skills.video/api/v1/generations/running \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.skills.video/api/v1/generations/running"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.skills.video/api/v1/generations/running', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://open.skills.video/api/v1/generations/running",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://open.skills.video/api/v1/generations/running"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://open.skills.video/api/v1/generations/running")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://open.skills.video/api/v1/generations/running")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyimport Foundation
let url = URL(string: "https://open.skills.video/api/v1/generations/running")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))[
{
"id": "gen_123",
"status": "IN_PROGRESS",
"usage": {
"total": 20,
"subscription": 20,
"permanent": 0
},
"input": {
"prompt": "a cat",
"aspect_ratio": "1:1",
"resolution": "1024x1024",
"n": 1
}
}
]{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "Missing request body"
}{
"error": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}{
"error": "NOT_FOUND",
"code": "NOT_FOUND",
"message": "Not Found"
}{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "'prompt' parameter is required"
}Generation Result
List running generations
GET
/
generations
/
running
List running generations
curl --request GET \
--url https://open.skills.video/api/v1/generations/running \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.skills.video/api/v1/generations/running"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.skills.video/api/v1/generations/running', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://open.skills.video/api/v1/generations/running",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://open.skills.video/api/v1/generations/running"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://open.skills.video/api/v1/generations/running")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://open.skills.video/api/v1/generations/running")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyimport Foundation
let url = URL(string: "https://open.skills.video/api/v1/generations/running")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))[
{
"id": "gen_123",
"status": "IN_PROGRESS",
"usage": {
"total": 20,
"subscription": 20,
"permanent": 0
},
"input": {
"prompt": "a cat",
"aspect_ratio": "1:1",
"resolution": "1024x1024",
"n": 1
}
}
]{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "Missing request body"
}{
"error": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}{
"error": "NOT_FOUND",
"code": "NOT_FOUND",
"message": "Not Found"
}{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "'prompt' parameter is required"
}Return generation tasks that are still queued or in progress for the current workspace scope.
Query Parameters
Response
Queued or running generation tasks